## gyoto 1.1.0

=== debian/changelog ===
gyoto (1.1.0-3) unstable; urgency=low

  * Bug fix: "arch-dependent file in &quot;Multi-Arch: same&quot;
    package", thanks to Jakub Wilk (Closes: #839810).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 05 Oct 2016 20:12:30 +0200

gyoto (1.1.0-2) unstable; urgency=low

  * Add Multi-Arch field for each binary package
  * Reactivate test suite on kfreebsd

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Oct 2016 10:32:18 +0200

gyoto (1.1.0-1) experimental; urgency=low

  * New upstream release
  * Rename the gyoto package to gyoto-bin and add a new gyoto meta-package
    package that intalls everything a Gyoto user would expect.
  * Move examples from gyoto-bin to libgyoto5 package.
  * Include the Python plug-ins for Gyoto in the respective python*-gyoto
    packages.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 14 Sep 2016 11:40:40 +0200

gyoto (1.0.2-3) unstable; urgency=low

  * Bug fix: "building on kfreebsd", thanks to Jon Boden (Closes:
    #829029).
  * Checked against Policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 09 Aug 2016 09:51:01 +0200
