=== debian/control ===
Source: gyoto
Section: science
Priority: extra
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
	       libboost-dev (>= 1.53.1), libboost-mpi-dev, dh-autoreconf,
	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
	       python-setuptools, python3-all-dev, python3-setuptools,
	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3),
	       pkg-config
Build-Depends-Indep: doxygen-latex,
               texlive-bibtex-extra, texlive-latex-base,
               texlive-lang-french, tipa
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/gyoto.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
Homepage: http://gyoto.obspm.fr

Package: gyoto
Architecture: all
Multi-Arch: allowed
Depends: gyoto-bin, yorick-gyoto, python-gyoto, python3-gyoto,
	 ${shlibs:Depends}, ${misc:Depends}
Recommends: mpi-default-bin, libgyoto5-dev
Suggests: gyoto-doc
Description: General relativistic geodesic integration and ray-tracing
 Gyoto is a framework for computing geodesics in curved
 space-times. The gyoto utility program uses this framework to compute
 images of astronomical objects in the vicinity of compact objects
 (e.g. black-holes). Such images are distorted by strong gravitational
 lensing. The gyoto program takes a scenery description in XML format,
 computes this scenery using relativistic ray-tracing, and saves the
 result in FITS format.
 .
 This metapackage depends on all the Gyoto interfaces (command-line, Yorick,
 Python 2 and 3).
 .
 MPI parallelization requires the mpi-default-bin package. Compiling
 your own Gyoto plug-in requires the libgyoto5-dev package. The Gyoto
 documentation is provided in the gyoto-doc package.

Package: gyoto-bin
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mpi-default-bin
Replaces: gyoto (<< 1.1.0~)
Breaks:   gyoto (<< 1.1.0~)
Description: General relativistic ray-tracing command-line interface
 Gyoto is a framework for computing geodesics in curved
 space-times. The gyoto utility program uses this framework to compute
 images of astronomical objects in the vicinity of compact objects
 (e.g. black-holes). Such images are distorted by strong gravitational
 lensing. The gyoto program takes a scenery description in XML format,
 computes this scenery using relativistic ray-tracing, and saves the
 result in FITS format.
 .
 This package contains the `gyoto' command-line utility. More complex
 uses of the Gyoto framework can be achieved using the yorick-gyoto,
 python-gyoto or python3-gyoto packages. Gyoto can be extended with
 plug-ins (see libgyoto5-dev).
 .
 MPI parallelization requires the mpi-default-bin package.

Package: libgyoto5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gyoto
Description: Gyoto framework main library an standard plug-in
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a shared
 library (this package), utility programs (in the gyoto package), and
 a plug-in for the Yorick and Python 2 and 3 programming languages (in
 yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
 be extended with plug-ins (see libgyoto5-dev).
 .
 The standard plugin (stdplug) is included in this package. Plug-ins
 for extending Gyoto in the Python 2 or 3 languages are shipped in the
 python-gyoto and python3-gyoto packages respectively.
 .
 MPI parallelization requires the gyoto and mpi-default-bin packages.

Package: gyoto-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libgyoto5 (= ${binary:Version}),
	 gyoto-bin (= ${binary:Version}),
	 yorick-gyoto (= ${binary:Version}),
	 python-gyoto (= ${binary:Version}),
	 python3-gyoto (= ${binary:Version}),
	 ${misc:Depends}
Description: debugging symbols for the Gyoto framework
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a shared
 library (this package), utility programs (in the gyoto package), and
 a plug-in for the Yorick and Python 2 and 3 programming language (in
 yorick-gyoto, python-gyoto and python3-gyoto).
 .
 This package contains the debugging symbols for the gyoto, libgyoto5,
 yorick-gyoto, python-gyoto and python3-gyoto packages.

Package: libgyoto5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto5 (= ${binary:Version}),
	 libc-dev, libxerces-c3.1
Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
Description: development files for libgyoto
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides the files necessary to compile Gyoto plugins
 and codes using the libgyoto library.

Package: yorick-gyoto
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
	 yorick (>= 2.1.05), yorick-yutils (>= 1.3), yorick-gy, gir1.2-gtk-3.0
Description: General relativistic geodesic integration for the Yorick language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides a plug-in for the Yorick programming language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the yorick prompt or running complex Gyoto scripts.

Package: python-gyoto
Architecture: any
Multi-Arch: allowed
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: General relativistic geodesic integration for the Python 2 language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package also includes a Gyoto plug-in allowing to write new
 Gyoto objects in the Python 2 language.
 .
 This package provides an extension for the Python 2 programming language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the Python prompt or running complex Gyoto scripts.

Package: python3-gyoto
Architecture: any
Multi-Arch: allowed
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: General relativistic geodesic integration for the Python 3 language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package also includes a Gyoto plug-in allowing to write new
 Gyoto objects in the Python 3 language.
 .
 This package provides an extension for the Python 3 programming language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the Python 3 prompt or running complex Gyoto scripts.

Package: gyoto-doc
Architecture: all
Multi-Arch:foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the Gyoto library
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a library
 (libgyoto), utility programs, and a plug-in for the Yorick programming
 language.
 .
 This package contains the Gyoto Reference Manual.
