## gyoto 1.1.1

=== debian/changelog ===
gyoto (1.1.1-2) unstable; urgency=low

  * The gyoto meta-package depends on the corresponding version of
    each actual gyoto package.
  * The libgyoto5 package depends on the same version of gyoto-bin and on
    mpi-default-bin.
  * Fix the python auopkgtests by unsetting GYOTO_PLUGINS.
  * Fix dependencies of gyoto-dbg.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 01 Nov 2016 17:37:22 +0100

gyoto (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Add Dependencies and Recommends as appropriate for libgyoto5-dev.
  * Ship plug-ins/null as example for libgyoto5-dev.
  * Make sure the right MPI implementation is used and patch gyoto.pc to
    actually give useful information about MPICXX and CXX.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Oct 2016 13:06:39 +0100
