=== debian/control ===
--- 
+++ 
@@ -24,9 +24,13 @@
 Package: gyoto
 Architecture: all
 Multi-Arch: allowed
-Depends: gyoto-bin, yorick-gyoto, python-gyoto, python3-gyoto,
-	 ${shlibs:Depends}, ${misc:Depends}
-Recommends: mpi-default-bin, libgyoto5-dev
+Depends: gyoto-bin     (>= ${source:Version}),
+         yorick-gyoto  (>= ${source:Version}),
+         python-gyoto  (>= ${source:Version}),
+         python3-gyoto (>= ${source:Version}),
+         libgyoto5-dev (>= ${source:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
+Recommends: mpi-default-bin
 Suggests: gyoto-doc
 Description: General relativistic geodesic integration and ray-tracing
  Gyoto is a framework for computing geodesics in curved
@@ -40,8 +44,7 @@
  This metapackage depends on all the Gyoto interfaces (command-line, Yorick,
  Python 2 and 3).
  .
- MPI parallelization requires the mpi-default-bin package. Compiling
- your own Gyoto plug-in requires the libgyoto5-dev package. The Gyoto
+ MPI parallelization requires the mpi-default-bin package. The Gyoto
  documentation is provided in the gyoto-doc package.
 
 Package: gyoto-bin
@@ -72,7 +75,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Recommends: gyoto
+Recommends: gyoto-bin (>= ${binary:Version}), mpi-default-bin
 Description: Gyoto framework main library an standard plug-in
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
@@ -85,16 +88,16 @@
  for extending Gyoto in the Python 2 or 3 languages are shipped in the
  python-gyoto and python3-gyoto packages respectively.
  .
- MPI parallelization requires the gyoto and mpi-default-bin packages.
+ MPI parallelization requires the gyoto-bin and mpi-default-bin packages.
 
 Package: gyoto-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libgyoto5 (= ${binary:Version}),
-	 gyoto-bin (= ${binary:Version}),
-	 yorick-gyoto (= ${binary:Version}),
-	 python-gyoto (= ${binary:Version}),
+Depends: libgyoto5     (= ${binary:Version}),
+	 gyoto-bin     (= ${binary:Version}),
+	 yorick-gyoto  (= ${binary:Version}),
+	 python-gyoto  (= ${binary:Version}),
 	 python3-gyoto (= ${binary:Version}),
 	 ${misc:Depends}
 Description: debugging symbols for the Gyoto framework
@@ -104,15 +107,18 @@
  a plug-in for the Yorick and Python 2 and 3 programming language (in
  yorick-gyoto, python-gyoto and python3-gyoto).
  .
- This package contains the debugging symbols for the gyoto, libgyoto5,
- yorick-gyoto, python-gyoto and python3-gyoto packages.
+ This package contains the debugging symbols for the gyoto-bin,
+ libgyoto5, yorick-gyoto, python-gyoto and python3-gyoto packages.
 
 Package: libgyoto5-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgyoto5 (= ${binary:Version}),
-	 libc-dev, libxerces-c3.1
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         libgyoto5 (= ${binary:Version}),
+         libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
+         libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
+         pkg-config
 Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
 Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
 Description: development files for libgyoto
