=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,16 @@
 # Don't accidentally build the lorene plug-in
 unexport HOME_LORENE
 
-# For libgyotoX.install
-DEB_GYOTO_SOVERS := $(shell grep VERSINFO= configure.ac | sed s/VERSINFO=// | tr : _)
+# Make sure we build with the right MPI implementation
+include /usr/share/mpi-default-dev/debian_defaults
+MPICXX := /usr/bin/mpic++.$(ARCH_DEFAULT_MPI_IMPL)
+export MPICXX
+CXX := $(shell readlink -e $(shell which $(firstword $(shell $(MPICXX) -show))))
+
+# For python*-gyoto.install
+DEB_GYOTO_SOVERS := $(shell expr \
+	  $(shell grep VERSINFO_C= configure.ac | sed s/VERSINFO_C=//) \
+	- $(shell grep VERSINFO_A= configure.ac | sed s/VERSINFO_A=//))
 export DEB_GYOTO_SOVERS
 
 configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
@@ -78,6 +86,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)
+	sed -i 's|^CXX=.*|CXX=$(CXX)|' lib/gyoto.pc
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xstdplug -Xpython
