## gyoto 1.1.3

=== debian/changelog ===
gyoto (1.1.3-1) unstable; urgency=high

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 13 Dec 2016 14:44:54 +0100

gyoto (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Fix autopkgtest suite

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 10 Dec 2016 18:16:50 +0100

gyoto (1.1.1-4) unstable; urgency=high

  * Merge changes from experimental:
    + build the lorene plug-in;
    + instead of patching Gyoto to wprk around #844495, patch
      Boost.multiprecision at build time wxhen we recognize the buggy
      implementation;
    + look harder for this bug in the test suite.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 30 Nov 2016 10:05:49 +0100

gyoto (1.1.1-3+lorene4) experimental; urgency=medium

  * Instead of patching Gyoto, patch the buggy Boost.multiprecision at
    build time.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 29 Nov 2016 11:22:58 +0100

gyoto (1.1.1-3+lorene3) experimental; urgency=high

  * Rebuild with new lorene.
  * Activate #844495 workaround on all architectures.
  * Look even harder for #844495.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 25 Nov 2016 12:53:13 +0100

gyoto (1.1.1-3+lorene2) experimental; urgency=medium

  * Tweak test suite to look harder for Boost.multiprecision locking bug
    (#844495).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 18 Nov 2016 13:53:03 +0100

gyoto (1.1.1-3+lorene1) experimental; urgency=low

  * Compile the LORENE plug-in.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 18 Nov 2016 09:28:15 +0100

gyoto (1.1.1-3) unstable; urgency=medium

  * Bug fix: "FTBFS with boost1.62" (Closes: #844490).

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 17 Nov 2016 22:29:08 +0100
