=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
 	       python-setuptools, python3-all-dev, python3-setuptools,
 	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3),
-	       pkg-config
+	       pkg-config, liblorene-dev, lorene-codes-src, gfortran
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
