## gyoto 1.2.0

=== debian/changelog ===
gyoto (1.2.0-4) unstable; urgency=low

  * Prepare for Boost >= 1.64. New patch boost1.64.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 20 Nov 2017 15:05:17 +0100

gyoto (1.2.0-3) unstable; urgency=low

  * Bug fix: "requires rebuild against GCC 7 and symbols/shlibs bump",
    thanks to jcowgill@debian.org; (Closes: #871283).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 05 Sep 2017 14:57:29 +0200

gyoto (1.2.0-2) unstable; urgency=low

  * Fix autopkgtest suite.

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 31 Dec 2016 15:59:13 +0100

gyoto (1.2.0-1) unstable; urgency=low

  * Reupload to unstable

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 15 Dec 2016 18:39:38 +0100

gyoto (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 12 Dec 2016 14:42:12 +0100
