=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
 	       python-setuptools, python3-all-dev, python3-setuptools,
 	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3),
-	       pkg-config, liblorene-dev, lorene-codes-src, gfortran
+	       pkg-config, liblorene-dev, lorene-codes-src, gfortran,
+	       g++ (>= 4:7)
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
@@ -28,7 +29,7 @@
          yorick-gyoto  (>= ${source:Version}),
          python-gyoto  (>= ${source:Version}),
          python3-gyoto (>= ${source:Version}),
-         libgyoto5-dev (>= ${source:Version}),
+         libgyoto6-dev (>= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: mpi-default-bin
 Suggests: gyoto-doc
@@ -66,11 +67,11 @@
  This package contains the `gyoto' command-line utility. More complex
  uses of the Gyoto framework can be achieved using the yorick-gyoto,
  python-gyoto or python3-gyoto packages. Gyoto can be extended with
- plug-ins (see libgyoto5-dev).
+ plug-ins (see libgyoto6-dev).
  .
  MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto5
+Package: libgyoto6
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -82,7 +83,7 @@
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick and Python 2 and 3 programming languages (in
  yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
- be extended with plug-ins (see libgyoto5-dev).
+ be extended with plug-ins (see libgyoto6-dev).
  .
  The standard plugin (stdplug) is included in this package. Plug-ins
  for extending Gyoto in the Python 2 or 3 languages are shipped in the
@@ -94,7 +95,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libgyoto5     (= ${binary:Version}),
+Depends: libgyoto6     (= ${binary:Version}),
 	 gyoto-bin     (= ${binary:Version}),
 	 yorick-gyoto  (= ${binary:Version}),
 	 python-gyoto  (= ${binary:Version}),
@@ -108,19 +109,19 @@
  yorick-gyoto, python-gyoto and python3-gyoto).
  .
  This package contains the debugging symbols for the gyoto-bin,
- libgyoto5, yorick-gyoto, python-gyoto and python3-gyoto packages.
+ libgyoto6, yorick-gyoto, python-gyoto and python3-gyoto packages.
 
-Package: libgyoto5-dev
+Package: libgyoto6-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libgyoto5 (= ${binary:Version}),
+         libgyoto6 (= ${binary:Version}),
          libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
          libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
          pkg-config
-Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
-Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev
+Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
