=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Hardened flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
+CPPFLAGS += -I$(CURDIR)/debian/include
 
 # Don't accidentally build the lorene plug-in
 unexport HOME_LORENE
@@ -29,13 +30,19 @@
 export DEB_GYOTO_SOVERS
 
 configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
-	--without-lorene --enable-static --enable-shared \
+	--enable-static --enable-shared \
 	--with-boost --enable-c++11 --enable-release \
 	--with-mpi --without-virtualenv --enable-doc \
+	--with-lorene=/usr/lib/$(DEB_HOST_MULTIARCH)/lorene \
 	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with python2,python3,autoreconf
+
+# For new symbols when compiled with GCC 7
+override_dh_makeshlibs:
+	dh_makeshlibs -V'libgyoto6 (>= 1.2.0-3~)'
+
 
 override_dh_auto_install-arch:
 ifneq ($(wildcard plugins/python/Makefile),)
@@ -85,6 +92,16 @@
 	$(MAKE) doc
 
 override_dh_auto_configure:
+	if sha1sum -c debian/boost.sha1sums; then \
+		mkdir -p debian/include/boost/multiprecision/detail/functions/;\
+		cp /usr/include/boost/multiprecision/detail/functions/trig.hpp \
+			debian/include/boost/multiprecision/detail/functions/;\
+		cd debian/include; \
+		patch -p1 < ../patches/no-fp-ilogb0;\
+		echo "************ Patching Boost.multiprecision ************";\
+	else \
+		echo "********** NOT Patching Boost.multiprecision **********";\
+	fi
 	dh_auto_configure -- $(configure_flags)
 	sed -i 's|^CXX=.*|CXX=$(CXX)|' lib/gyoto.pc
 
@@ -93,7 +110,7 @@
 
 override_dh_auto_clean:
 	[ ! -f python/Makefile ] || make -C python clean
-	rm -Rf python-plugins
+	rm -Rf python-plugins debian/include
 	dh_auto_clean
 
 override_dh_auto_test-indep:
@@ -101,7 +118,8 @@
 override_dh_auto_test-arch:
 ifeq (,$(filter $(DEB_HOST_ARCH), mips))
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	LC_ALL=C.UTF-8 dh_auto_test
+	$(MAKE) -C bin CHECK_RAW_CMD="./gyoto -pstdplug -r101 --ispec=51:51:1 -T1 -P0" check
+	LC_ALL=C.UTF-8 dh_auto_test -- check-lorene
 endif
 
 override_dh_strip:
