=== debian/tests/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Tests: gyoto gyoto-mpi
 Depends: gyoto-bin, openmpi-bin
+Restrictions: allow-stderr
+
+Tests: gyoto-lorene gyoto-lorene-mpi
+Depends: gyoto-bin, openmpi-bin, liblorene-dev, lorene-codes-src,
+	 build-essential, gfortran
 Restrictions: allow-stderr
 
 Tests: yorick-gyoto
 Depends: yorick-gyoto
 Restrictions: allow-stderr
 
-Test-Command: env OMPI_MCA_orte_rsh_agent=/bin/false orterun --mca btl_tcp_if_include lo /usr/bin/yorick -i debian/tests/yorick-gyoto-mpi
+Tests: yorick-gyoto-mpi
 Depends: yorick-gyoto, gyoto-bin, openmpi-bin
 Restrictions: allow-stderr
