## gyoto 1.3.0

=== debian/changelog ===
gyoto (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Update debhleper compatibility to level 12
  * Move most documentation in the gyoto-doc package to
    /usr/share/doc/gyoto/
  * Build-depend on libflint-arb-dev and libflint-dev
  * Migrate to automatic dbgsym debug packages
  * Comply with policy 4.3.0

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 16 Jan 2019 13:24:57 +0100
