## gyoto 1.3.1

=== debian/changelog ===
gyoto (1.3.1-1) unstable; urgency=medium

  * Bug fix: "both packages ship /usr/share/doc/gyoto/README.md", thanks
    to Andreas Beckmann (Closes: #919792).
  * Bug fix: "autopkgtest failure on i386", thanks to Graham Inggs
    (Closes: #919983).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 22 Jan 2019 14:19:22 +0100
