=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gyoto
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9~), yorick-dev, yorick-yutils,
+Build-Depends: debhelper-compat (= 12), yorick-dev, yorick-yutils,
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
-	       libboost-dev (>= 1.53.1), libboost-mpi-dev, dh-autoreconf,
+	       libboost-dev (>= 1.53.1), libboost-mpi-dev,
+	       libflint-arb-dev, libflint-dev,
 	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
 	       python-setuptools, python3-all-dev, python3-setuptools,
 	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3),
@@ -14,12 +15,9 @@
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/gyoto.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/gyoto.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/science-team/gyoto.git
+Vcs-Browser: https://salsa.debian.org/science-team/gyoto
 Homepage: http://gyoto.obspm.fr
 
 Package: gyoto
@@ -29,7 +27,7 @@
          yorick-gyoto  (>= ${source:Version}),
          python-gyoto  (>= ${source:Version}),
          python3-gyoto (>= ${source:Version}),
-         libgyoto6-dev (>= ${source:Version}),
+         libgyoto7-dev (>= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: mpi-default-bin
 Suggests: gyoto-doc
@@ -67,14 +65,16 @@
  This package contains the `gyoto' command-line utility. More complex
  uses of the Gyoto framework can be achieved using the yorick-gyoto,
  python-gyoto or python3-gyoto packages. Gyoto can be extended with
- plug-ins (see libgyoto6-dev).
+ plug-ins (see libgyoto7-dev).
  .
  MPI parallelization requires the mpi-default-bin package.
 
-Package: libgyoto6
+Package: libgyoto7
+Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+	 ${python:Depends}, ${python3:Depends},
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: gyoto-bin (>= ${binary:Version}), mpi-default-bin
 Description: Gyoto framework main library an standard plug-in
@@ -83,7 +83,7 @@
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Yorick and Python 2 and 3 programming languages (in
  yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
- be extended with plug-ins (see libgyoto6-dev).
+ be extended with plug-ins (see libgyoto7-dev).
  .
  The standard plugin (stdplug) is included in this package. Plug-ins
  for extending Gyoto in the Python 2 or 3 languages are shipped in the
@@ -91,37 +91,17 @@
  .
  MPI parallelization requires the gyoto-bin and mpi-default-bin packages.
 
-Package: gyoto-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libgyoto6     (= ${binary:Version}),
-	 gyoto-bin     (= ${binary:Version}),
-	 yorick-gyoto  (= ${binary:Version}),
-	 python-gyoto  (= ${binary:Version}),
-	 python3-gyoto (= ${binary:Version}),
-	 ${misc:Depends}
-Description: debugging symbols for the Gyoto framework
- Gyoto aims at providing a framework for computing orbits and
- ray-traced images in General relativity. It consists in a shared
- library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick and Python 2 and 3 programming language (in
- yorick-gyoto, python-gyoto and python3-gyoto).
- .
- This package contains the debugging symbols for the gyoto-bin,
- libgyoto6, yorick-gyoto, python-gyoto and python3-gyoto packages.
-
-Package: libgyoto6-dev
+Package: libgyoto7-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libgyoto6 (= ${binary:Version}),
+         libgyoto7 (= ${binary:Version}),
          libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
          libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
          pkg-config
-Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev
-Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev
+Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev, libgyoto6-dev
+Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev, libgyoto6-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -147,6 +127,7 @@
 Multi-Arch: allowed
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Provides: ${python:Provides}
 Description: General relativistic geodesic integration for the Python 2 language
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -163,6 +144,7 @@
 Multi-Arch: allowed
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
 Description: General relativistic geodesic integration for the Python 3 language
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -179,6 +161,8 @@
 Multi-Arch:foreign
 Section: doc
 Depends: ${misc:Depends}
+Replaces: gyoto (<< 1.3.0~)
+Breaks:   gyoto (<<1.3.0~)
 Description: documentation for the Gyoto library
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a library
