=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 # Hardened flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -31,18 +30,13 @@
 
 configure_flags = --with-yorick=/usr/bin/yorick --with-udunits --with-xerces \
 	--enable-static --enable-shared \
-	--with-boost --enable-c++11 --enable-release \
+	--with-boost --with-arblib --enable-c++11 --enable-release \
 	--with-mpi --without-virtualenv --enable-doc \
 	--with-lorene=/usr/lib/$(DEB_HOST_MULTIARCH)/lorene \
 	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with python2,python3,autoreconf
-
-# For new symbols when compiled with GCC 7
-override_dh_makeshlibs:
-	dh_makeshlibs -V'libgyoto6 (>= 1.2.0-3~)'
-
 
 override_dh_auto_install-arch:
 ifneq ($(wildcard plugins/python/Makefile),)
@@ -110,17 +104,16 @@
 
 override_dh_auto_clean:
 	[ ! -f python/Makefile ] || make -C python clean
-	rm -Rf python-plugins debian/include
-	dh_auto_clean
+	rm -Rf python-plugins debian/include python/_*.so
+	dh_auto_clean --no-parallel
 
 override_dh_auto_test-indep:
 
 override_dh_auto_test-arch:
 ifeq (,$(filter $(DEB_HOST_ARCH), mips))
 # skip on mips as lucatelli2 fails on it (but the binary works on other boxes)
-	$(MAKE) -C bin CHECK_RAW_CMD="./gyoto -pstdplug -r101 --ispec=51:51:1 -T1 -P0" check
 	LC_ALL=C.UTF-8 dh_auto_test -- check-lorene
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=gyoto-dbg
+	dh_strip --dbgsym-migration='gyoto-dbg (<< 1.3.0~rc1-1~)'
