## gyoto 1.3.5

=== debian/changelog ===
gyoto (1.3.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 4.4.0, no changes needed

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 03 Aug 2019 10:37:24 +0200
