=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/science-team/gyoto.git
 Vcs-Browser: https://salsa.debian.org/science-team/gyoto
 Homepage: http://gyoto.obspm.fr
