=== debian/rules ===
--- 
+++ 
@@ -98,6 +98,7 @@
 	fi
 	dh_auto_configure -- $(configure_flags)
 	sed -i 's|^CXX=.*|CXX=$(CXX)|' lib/gyoto.pc
+	sed -i 's/ -fdebug-prefix-map=\S*//' lib/gyoto.pc
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xstdplug -Xpython
