## gyoto 1.3.6

=== debian/changelog ===
gyoto (1.3.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Python2 removal in sid/bullseye", thanks to Matthias Klose
    (Closes: #936682).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 27 Sep 2019 16:56:16 +0200
