=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
 	       libboost-dev (>= 1.53.1), libboost-mpi-dev,
 	       libflint-arb-dev, libflint-dev,
-	       mpi-default-dev, dh-python, python-all-dev (>= 2.6.6-3~),
-	       python-setuptools, python3-all-dev, python3-setuptools,
-	       swig3.0, python-numpy, python3-numpy, doxygen, dh-exec (>=0.3),
+	       mpi-default-dev, dh-python,
+	       python3-all-dev, python3-setuptools,
+	       swig3.0, python3-numpy, doxygen, dh-exec (>=0.3),
 	       pkg-config, liblorene-dev, lorene-codes-src, gfortran,
 	       g++ (>= 4:7)
 Build-Depends-Indep: doxygen-latex,
@@ -25,7 +25,6 @@
 Multi-Arch: allowed
 Depends: gyoto-bin     (>= ${source:Version}),
          yorick-gyoto  (>= ${source:Version}),
-         python-gyoto  (>= ${source:Version}),
          python3-gyoto (>= ${source:Version}),
          libgyoto7-dev (>= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
@@ -40,8 +39,8 @@
  computes this scenery using relativistic ray-tracing, and saves the
  result in FITS format.
  .
- This metapackage depends on all the Gyoto interfaces (command-line, Yorick,
- Python 2 and 3).
+ This metapackage depends on all the Gyoto interfaces (command-line,
+ Python 3 and Yorick).
  .
  MPI parallelization requires the mpi-default-bin package. The Gyoto
  documentation is provided in the gyoto-doc package.
@@ -63,9 +62,9 @@
  result in FITS format.
  .
  This package contains the `gyoto' command-line utility. More complex
- uses of the Gyoto framework can be achieved using the yorick-gyoto,
- python-gyoto or python3-gyoto packages. Gyoto can be extended with
- plug-ins (see libgyoto7-dev).
+ uses of the Gyoto framework can be achieved using the python3-gyoto
+ or yorick-gyoto packages. Gyoto can be extended with plug-ins (see
+ libgyoto7-dev).
  .
  MPI parallelization requires the mpi-default-bin package.
 
@@ -74,20 +73,20 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
-	 ${python:Depends}, ${python3:Depends},
+	 ${python3:Depends},
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: gyoto-bin (>= ${binary:Version}), mpi-default-bin
 Description: Gyoto framework main library an standard plug-in
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity. It consists in a shared
  library (this package), utility programs (in the gyoto package), and
- a plug-in for the Yorick and Python 2 and 3 programming languages (in
- yorick-gyoto, python-gyoto and python3-gyoto respectively). Gyoto can
- be extended with plug-ins (see libgyoto7-dev).
+ a plug-in for the Python 3 and Yorick programming languages (in
+ python3-gyoto and yorick-gyoto respectively). Gyoto can be extended
+ with plug-ins (see libgyoto7-dev).
  .
- The standard plugin (stdplug) is included in this package. Plug-ins
- for extending Gyoto in the Python 2 or 3 languages are shipped in the
- python-gyoto and python3-gyoto packages respectively.
+ The standard plugin (stdplug) is included in this package. A plug-in
+ for extending Gyoto in the Python 3 language is shipped in the
+ python3-gyoto packages.
  .
  MPI parallelization requires the gyoto-bin and mpi-default-bin packages.
 
@@ -122,23 +121,6 @@
  exposing the Gyoto facilities. It allows using Gyoto interactively
  from the yorick prompt or running complex Gyoto scripts.
 
-Package: python-gyoto
-Architecture: any
-Multi-Arch: allowed
-Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-Description: General relativistic geodesic integration for the Python 2 language
- Gyoto aims at providing a framework for computing orbits and
- ray-traced images in General relativity.
- .
- This package also includes a Gyoto plug-in allowing to write new
- Gyoto objects in the Python 2 language.
- .
- This package provides an extension for the Python 2 programming language
- exposing the Gyoto facilities. It allows using Gyoto interactively
- from the Python prompt or running complex Gyoto scripts.
-
 Package: python3-gyoto
 Architecture: any
 Multi-Arch: allowed
