=== debian/tests/control ===
Tests: gyoto gyoto-mpi
Depends: gyoto-bin, openmpi-bin
Restrictions: allow-stderr

Tests: gyoto-lorene gyoto-lorene-mpi
Depends: gyoto-bin, openmpi-bin, liblorene-dev, lorene-codes-src,
	 build-essential, gfortran
Restrictions: allow-stderr

Tests: yorick-gyoto
Depends: yorick-gyoto
Restrictions: allow-stderr

Tests: yorick-gyoto-mpi
Depends: yorick-gyoto, gyoto-bin, openmpi-bin
Restrictions: allow-stderr

Tests: python-gyoto
Depends: python3-gyoto, gyoto-bin,
	 python3-all,
	 python3-numpy,
	 python3-matplotlib
Restrictions: allow-stderr

Tests: python-gyoto-mpi
Depends: python3-gyoto, gyoto-bin,
	 python3-all,
	 python3-numpy,
	 python3-matplotlib,
	 python3-mpi4py,
	 openmpi-bin
Restrictions: allow-stderr
