## gyoto 1.4.1

=== debian/changelog ===
gyoto (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 4.4.1, no changes needed
  * Recommend packages needed to write videos. Add corresponding test
    case.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 23 Oct 2019 16:52:58 +0200
