=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	--includedir=/usr/include/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with python2,python3,autoreconf
+	dh $@ --with python3,autoreconf
 
 override_dh_auto_install-arch:
 ifneq ($(wildcard plugins/python/Makefile),)
@@ -44,7 +44,6 @@
 endif
 	dh_auto_install -a -- SUBDIRS="lib bin doc yorick"
 	sh debian/install_for_all_pythons
-	dh_numpy -a
 	dh_numpy3 -a
 
 override_dh_auto_install-indep:
@@ -67,7 +66,7 @@
 	done
 	mkdir -p python-plugins
 	set -e; \
-	for python in `pyversions -s` `py3versions -s`; do \
+	for python in `py3versions -s`; do \
 	 make -C python PYTHON=$$python ; \
 	 make -C plugins/python distclean ; \
 	 cd plugins/python ; \
@@ -78,7 +77,7 @@
 	done
 	cd python-plugins ; \
 	set -e; \
-	for python in python python2 python3 ; do \
+	for python in python3 ; do \
 	  ln -s libgyoto-`which $${python} | xargs readlink | xargs basename`.so libgyoto-$${python}.so ; \
 	done
