## gyoto 1.4.3

=== debian/changelog ===
gyoto (1.4.3-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Feb 2020 13:26:57 +0000

gyoto (1.4.3-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:33:41 +0000

gyoto (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 29 Oct 2019 13:29:50 +0100
