=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gyoto
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper-compat (= 12), yorick-dev, yorick-yutils,
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
@@ -15,7 +16,7 @@
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/science-team/gyoto.git
 Vcs-Browser: https://salsa.debian.org/science-team/gyoto
 Homepage: http://gyoto.obspm.fr
@@ -26,7 +27,7 @@
 Depends: gyoto-bin     (>= ${source:Version}),
          yorick-gyoto  (>= ${source:Version}),
          python3-gyoto (>= ${source:Version}),
-         libgyoto7-dev (>= ${source:Version}),
+         libgyoto8-dev (>= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: mpi-default-bin
 Suggests: gyoto-doc
@@ -49,7 +50,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: mpi-default-bin
+Recommends: mpi-default-bin, python3-gyoto, python3-opencv
 Replaces: gyoto (<< 1.1.0~)
 Breaks:   gyoto (<< 1.1.0~)
 Description: General relativistic ray-tracing command-line interface
@@ -64,11 +65,12 @@
  This package contains the `gyoto' command-line utility. More complex
  uses of the Gyoto framework can be achieved using the python3-gyoto
  or yorick-gyoto packages. Gyoto can be extended with plug-ins (see
- libgyoto7-dev).
+ libgyoto8-dev).
  .
- MPI parallelization requires the mpi-default-bin package.
+ MPI parallelization requires the mpi-default-bin package. Producing
+ videos requires the python3-gyoto and python3-opencv packages.
 
-Package: libgyoto7
+Package: libgyoto8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -82,7 +84,7 @@
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Python 3 and Yorick programming languages (in
  python3-gyoto and yorick-gyoto respectively). Gyoto can be extended
- with plug-ins (see libgyoto7-dev).
+ with plug-ins (see libgyoto8-dev).
  .
  The standard plugin (stdplug) is included in this package. A plug-in
  for extending Gyoto in the Python 3 language is shipped in the
@@ -90,17 +92,17 @@
  .
  MPI parallelization requires the gyoto-bin and mpi-default-bin packages.
 
-Package: libgyoto7-dev
+Package: libgyoto8-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libgyoto7 (= ${binary:Version}),
+         libgyoto8 (= ${binary:Version}),
          libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
          libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
          pkg-config
-Replaces: libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev, libgyoto6-dev
-Breaks:   libgyoto0-dev, libgyoto1-dev, libgyoto2-dev, libgyoto4-dev, libgyoto5-dev, libgyoto6-dev
+Replaces: libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
+Breaks:   libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
@@ -126,6 +128,7 @@
 Multi-Arch: allowed
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Recommends: python3-opencv
 Provides: ${python3:Provides}
 Description: General relativistic geodesic integration for the Python 3 language
  Gyoto aims at providing a framework for computing orbits and
@@ -137,6 +140,8 @@
  This package provides an extension for the Python 3 programming language
  exposing the Gyoto facilities. It allows using Gyoto interactively
  from the Python 3 prompt or running complex Gyoto scripts.
+ .
+ Producing videos requires the python3-opencv package.
 
 Package: gyoto-doc
 Architecture: all
